Get all referrers
curl --request GET \
--url https://api.kameleoon.com/referrers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kameleoon.com/referrers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kameleoon.com/referrers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"detections": [
{
"and": true,
"andMethod": "<string>",
"andParameters": "<string>",
"method": "<string>",
"parameters": "<string>"
}
],
"id": 123,
"index": 123,
"modificationDate": "2023-11-07T05:31:56Z",
"priority": 123,
"siteId": 123,
"tags": "<string>"
}
]{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"impersonator": "<string>",
"message": "<string>",
"name": "<string>",
"sub": "<string>",
"time": 123,
"timestamp": "2023-11-07T05:31:56Z"
}Referrer
Get all referrers
Get a list of all custom referrers. For more information on paramsIOå refer to the Get started article, and see the Using paramsIO tutorial for practical use cases. To use optionalFields check out this guide.
GET
/
referrers
Get all referrers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Show child attributes
Show child attributes
Response
OK
Name of the referrer
Date and time referred is created
Show child attributes
Show child attributes
Unique Id of the referrer
Index of the referrer
Date and time referred is modified
Priority of the referrer
Site Id of the project the referrer belongs to
Tags belonging to this referrer
Was this page helpful?
⌘I